package com.xxl.job.executor.report.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Created by JQ.bi on 2020.05.19
 */
public interface BytedanceHomepageMapper {

    //今日汇总数据
    JSONObject queryTodaySumReportBy(@Param("statDate") String statDate);

    //根据小时区间查询今日汇总数据
    List<JSONObject> queryTodaySumByHour(@Param("hour") int hour);

    //今日明细数据
    List<JSONObject> queryTodayDetailReportBy(@Param("statDate") String statDate);

    //根据开始、结束时间 查询汇总数据
    JSONObject querySumByStartEndDate(@Param("endDate") String endDate, @Param("startDate") String startDate);

    //根据开始、结束时间 查询明细数据
    List<JSONObject> queryDetailByStartEndDate(@Param("endDate") String endDate, @Param("startDate") String startDate);

    //按月分组查询明细数据
    List<JSONObject> queryDetailGroupMonthByDate(@Param("endDate") String endDate, @Param("startDate") String startDate);

    //查询固定月的明细数据
    List<JSONObject> queryDetailGroupDayByMonth(@Param("month") String month);

    //项目消耗排行榜
    List<JSONObject> queryTopCost(@Param("endDate") String endDate, @Param("startDate") String startDate, @Param("rank") int rank);

}
